<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:24 CEST 2019 -->
<title>AbstractParameterConverter (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractParameterConverter (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":6,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/BlobLengthProcessor.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/AbstractParameterConverter.html" target="_top">Frames</a></li>
<li><a href="AbstractParameterConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Class AbstractParameterConverter" class="title">Class AbstractParameterConverter&lt;D extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>,?&gt;,S extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,?&gt;&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.AbstractParameterConverter&lt;D,S&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;D,S&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/jna/JnaParameterConverter.html" title="class in org.firebirdsql.gds.ng.jna">JnaParameterConverter</a>, <a href="../../../../org/firebirdsql/gds/ng/wire/version10/V10ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10ParameterConverter</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractParameterConverter&lt;D extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>,?&gt;,S extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,?&gt;&gt;</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;D,S&gt;</pre>
<div class="block">Abstract class for behavior common to <code>ParameterConverter</code> implementations.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#AbstractParameterConverter--">AbstractParameterConverter</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#createDatabaseParameterBuffer-D-">createDatabaseParameterBuffer</a></span>(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">D</a>&nbsp;connection)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#createServiceParameterBuffer-S-">createServiceParameterBuffer</a></span>(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">S</a>&nbsp;connection)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#populateAuthenticationProperties-org.firebirdsql.gds.ng.AbstractConnection-org.firebirdsql.gds.ConnectionParameterBuffer-">populateAuthenticationProperties</a></span>(<a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&nbsp;connection,
                                <a href="../../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a>&nbsp;pb)</code>
<div class="block">Populates the authentication properties of the parameter buffer.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#populateDefaultProperties-D-org.firebirdsql.gds.DatabaseParameterBuffer-">populateDefaultProperties</a></span>(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">D</a>&nbsp;connection,
                         <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</code>
<div class="block">Populates the database parameter buffer with the standard Firebird properties explicitly supported through
 <code>IConnectionProperties</code>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#populateDefaultProperties-S-org.firebirdsql.gds.ServiceParameterBuffer-">populateDefaultProperties</a></span>(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">S</a>&nbsp;connection,
                         <a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;spb)</code>
<div class="block">Populates the database parameter buffer with the standard Firebird properties explicitly supported through
 <code>IConnectionProperties</code>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#populateNonStandardProperties-D-org.firebirdsql.gds.DatabaseParameterBuffer-">populateNonStandardProperties</a></span>(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">D</a>&nbsp;connection,
                             <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</code>
<div class="block">Populates the database parameter buffer with the non-standard properties (in
 <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getExtraDatabaseParameters--"><code>IConnectionProperties.getExtraDatabaseParameters()</code></a>).</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#toDatabaseParameterBuffer-D-">toDatabaseParameterBuffer</a></span>(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">D</a>&nbsp;connection)</code>
<div class="block">Builds a <code>DatabaseParameterBuffer</code> from the supplied {code IConnectionProperties}.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#toServiceParameterBuffer-S-">toServiceParameterBuffer</a></span>(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">S</a>&nbsp;connection)</code>
<div class="block">Builds a <code>ServiceParameterBuffer</code> from the supplied {code IServiceProperties}.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractParameterConverter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractParameterConverter</h4>
<pre>public&nbsp;AbstractParameterConverter()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createDatabaseParameterBuffer-org.firebirdsql.gds.ng.AbstractConnection-">
<!--   -->
</a><a name="createDatabaseParameterBuffer-D-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDatabaseParameterBuffer</h4>
<pre>protected&nbsp;<a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;createDatabaseParameterBuffer(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">D</a>&nbsp;connection)</pre>
</li>
</ul>
<a name="createServiceParameterBuffer-org.firebirdsql.gds.ng.AbstractConnection-">
<!--   -->
</a><a name="createServiceParameterBuffer-S-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createServiceParameterBuffer</h4>
<pre>protected&nbsp;<a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;createServiceParameterBuffer(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">S</a>&nbsp;connection)</pre>
</li>
</ul>
<a name="toDatabaseParameterBuffer-org.firebirdsql.gds.ng.AbstractConnection-">
<!--   -->
</a><a name="toDatabaseParameterBuffer-D-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toDatabaseParameterBuffer</h4>
<pre>public final&nbsp;<a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;toDatabaseParameterBuffer(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">D</a>&nbsp;connection)
                                                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/ParameterConverter.html#toDatabaseParameterBuffer-D-">ParameterConverter</a></code></span></div>
<div class="block">Builds a <code>DatabaseParameterBuffer</code> from the supplied {code IConnectionProperties}.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/ParameterConverter.html#toDatabaseParameterBuffer-D-">toDatabaseParameterBuffer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">D</a> extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>,?&gt;,<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">S</a> extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,?&gt;&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Database connection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Database parameter buffer populated based on the connection properties</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors</dd>
</dl>
</li>
</ul>
<a name="populateDefaultProperties-org.firebirdsql.gds.ng.AbstractConnection-org.firebirdsql.gds.DatabaseParameterBuffer-">
<!--   -->
</a><a name="populateDefaultProperties-D-org.firebirdsql.gds.DatabaseParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>populateDefaultProperties</h4>
<pre>protected&nbsp;void&nbsp;populateDefaultProperties(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">D</a>&nbsp;connection,
                                         <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)
                                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Populates the database parameter buffer with the standard Firebird properties explicitly supported through
 <code>IConnectionProperties</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Database connection</dd>
<dd><code>dpb</code> - Database parameter buffer to populate</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors generating authentication information</dd>
</dl>
</li>
</ul>
<a name="populateAuthenticationProperties-org.firebirdsql.gds.ng.AbstractConnection-org.firebirdsql.gds.ConnectionParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>populateAuthenticationProperties</h4>
<pre>protected abstract&nbsp;void&nbsp;populateAuthenticationProperties(<a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&nbsp;connection,
                                                         <a href="../../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a>&nbsp;pb)
                                                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Populates the authentication properties of the parameter buffer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Database connection</dd>
<dd><code>pb</code> - Parameter buffer to populate</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors generating authentication information</dd>
</dl>
</li>
</ul>
<a name="populateNonStandardProperties-org.firebirdsql.gds.ng.AbstractConnection-org.firebirdsql.gds.DatabaseParameterBuffer-">
<!--   -->
</a><a name="populateNonStandardProperties-D-org.firebirdsql.gds.DatabaseParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>populateNonStandardProperties</h4>
<pre>protected&nbsp;void&nbsp;populateNonStandardProperties(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">D</a>&nbsp;connection,
                                             <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</pre>
<div class="block">Populates the database parameter buffer with the non-standard properties (in
 <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getExtraDatabaseParameters--"><code>IConnectionProperties.getExtraDatabaseParameters()</code></a>).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Database connection</dd>
<dd><code>dpb</code> - Database parameter buffer to populate</dd>
</dl>
</li>
</ul>
<a name="toServiceParameterBuffer-org.firebirdsql.gds.ng.AbstractConnection-">
<!--   -->
</a><a name="toServiceParameterBuffer-S-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toServiceParameterBuffer</h4>
<pre>public final&nbsp;<a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;toServiceParameterBuffer(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">S</a>&nbsp;connection)
                                                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/ParameterConverter.html#toServiceParameterBuffer-S-">ParameterConverter</a></code></span></div>
<div class="block">Builds a <code>ServiceParameterBuffer</code> from the supplied {code IServiceProperties}.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/ParameterConverter.html#toServiceParameterBuffer-S-">toServiceParameterBuffer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">D</a> extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>,?&gt;,<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">S</a> extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,?&gt;&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Service connection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Service parameter buffer populated based on the service properties</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors</dd>
</dl>
</li>
</ul>
<a name="populateDefaultProperties-org.firebirdsql.gds.ng.AbstractConnection-org.firebirdsql.gds.ServiceParameterBuffer-">
<!--   -->
</a><a name="populateDefaultProperties-S-org.firebirdsql.gds.ServiceParameterBuffer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>populateDefaultProperties</h4>
<pre>protected&nbsp;void&nbsp;populateDefaultProperties(<a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="type parameter in AbstractParameterConverter">S</a>&nbsp;connection,
                                         <a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;spb)
                                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Populates the database parameter buffer with the standard Firebird properties explicitly supported through
 <code>IConnectionProperties</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Service connection</dd>
<dd><code>spb</code> - Service parameter buffer to populate</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors generating authentication information</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/BlobLengthProcessor.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/AbstractParameterConverter.html" target="_top">Frames</a></li>
<li><a href="AbstractParameterConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
